Package icyllis.arc3d.engine

# Interface Engine.ImageType

Enclosing interface:
  `Engine`

public static interface Engine.ImageType
Describes image view type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `k2D`
  GL_TEXTURE_2D, GL_TEXTURE_2D_MULTISAMPLE; VK_IMAGE_TYPE_2D, layers=1; VK_IMAGE_VIEW_TYPE_2D;
  `static final int`
  `k2DArray`
  GL_TEXTURE_2D_ARRAY, GL_TEXTURE_2D_MULTISAMPLE_ARRAY; VK_IMAGE_TYPE_2D, layers=N; VK_IMAGE_VIEW_TYPE_2D_ARRAY;
  `static final int`
  `k3D`
  GL_TEXTURE_3D; VK_IMAGE_TYPE_3D, layers=1; VK_IMAGE_VIEW_TYPE_3D;
  `static final int`
  `kCount`
  `static final int`
  `kCube`
  GL_TEXTURE_CUBE_MAP; VK_IMAGE_TYPE_2D, layers=6; VK_IMAGE_VIEW_TYPE_CUBE;
  `static final int`
  `kCubeArray`
  GL_TEXTURE_CUBE_MAP_ARRAY; VK_IMAGE_TYPE_2D, layers=6N; VK_IMAGE_VIEW_TYPE_CUBE_ARRAY;
  `static final int`
  `kNone`
  None may represent OpenGL renderbuffers.

- ## Field Details

  - ### kNone

    static final int kNone
    None may represent OpenGL renderbuffers.
    See Also:
      - Constant Field Values

  - ### k2D

    static final int k2D
    GL_TEXTURE_2D, GL_TEXTURE_2D_MULTISAMPLE; VK_IMAGE_TYPE_2D, layers=1; VK_IMAGE_VIEW_TYPE_2D;
    See Also:
      - Constant Field Values

  - ### k2DArray

    static final int k2DArray
    GL_TEXTURE_2D_ARRAY, GL_TEXTURE_2D_MULTISAMPLE_ARRAY; VK_IMAGE_TYPE_2D, layers=N; VK_IMAGE_VIEW_TYPE_2D_ARRAY;
    See Also:
      - Constant Field Values

  - ### kCube

    static final int kCube
    GL_TEXTURE_CUBE_MAP; VK_IMAGE_TYPE_2D, layers=6; VK_IMAGE_VIEW_TYPE_CUBE;
    See Also:
      - Constant Field Values

  - ### kCubeArray

    static final int kCubeArray
    GL_TEXTURE_CUBE_MAP_ARRAY; VK_IMAGE_TYPE_2D, layers=6N; VK_IMAGE_VIEW_TYPE_CUBE_ARRAY;
    See Also:
      - Constant Field Values

  - ### k3D

    static final int k3D
    GL_TEXTURE_3D; VK_IMAGE_TYPE_3D, layers=1; VK_IMAGE_VIEW_TYPE_3D;
    See Also:
      - Constant Field Values

  - ### kCount

    static final int kCount
    See Also:
      - Constant Field Values